.select {
  // focus or filled field
  &.p-focus ~ .field__label,
  &.p-inputwrapper-filled ~ .field__label {
    @extend %up-field-label;
  }

  .p-dropdown {
    // dropdown arrow
    &-trigger {
      position: relative;
      transform: translate(-0.625rem, -15%);

      // open dropdown panel
      &:after,
      &:before {
        content: "";
        @include size(0.8rem, 3px);
        position: absolute;

        background-color: $secondary-color;
        border-radius: 1px;

        transition: $transition;
      }

      &:after {
        transform: rotate(45deg);
      }

      &:before {
        transform: translateX(-60%) rotate(-45deg);
      }

      // close dropdown panel
      &[aria-expanded="false"] {
        &:after {
          transform: rotate(-45deg);
        }

        &:before {
          transform: translateX(-60%) rotate(45deg);
        }
      }
    }
  }
}

.p-dropdown-panel {
  padding: 0.5rem 0;

  background: $secondary-color;
  box-shadow: 0px 0.25rem 0.9375rem rgba(0, 0, 0, 0.3);
  border-radius: 0.3125rem;

  .p-dropdown {
    &-items-wrapper {
      @include hide-scroll-bar;
    }

    &-item {
      padding: 0.5rem 1rem;
      @include font(0.9375rem, #5e5e5e);
      transition: $transition;

      &:hover {
        color: #212121;
        transform: translateX(0.5rem);
      }
    }
  }
}
